/// <reference types="cypress" />
describe('ParkingBasicData', () => {
    const codeInput = 'form .q-card .q-input input';
    const sectorSelect = 'form .q-card .q-select input';
    const sectorOpt = '.q-menu .q-item';
    beforeEach(() => {
        cy.login('developer');
        cy.visit(`/#/parking/1/basic-data`);
    });

    it('should edit the code and sector', () => {
        cy.get(sectorSelect).type('Second');
        cy.get(sectorOpt).click();

        cy.get(codeInput).eq(0).clear();
        cy.get(codeInput).eq(0).type(123);

        cy.saveCard();

        cy.get(sectorSelect).should('have.value', 'Second sector');
        cy.get(codeInput).should('have.value', 123);
    });
});
